package com.seatel.mobilehall.ui.home.model;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

public class ValuePackSectionModel {
    @SerializedName("section1")
    @Expose
    private OnePlanDetailSecOneModel dataPackDetailSecOneModel;
    @SerializedName("section2")
    @Expose
    private ValuePackSecTwoModel dataPackSecTwoModel;
    @SerializedName("section3")
    @Expose
    private DataPackSecThreeModel dataPackSecThreeModel;

    private String type;

    private String name;

    public String getName(){
        return name;
    }

    public void setName(String name){
        this.name = name;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public OnePlanDetailSecOneModel getDataPackDetailSecOneModel() {
        return dataPackDetailSecOneModel;
    }

    public void setDataPackDetailSecOneModel(OnePlanDetailSecOneModel dataPackDetailSecOneModel) {
        this.dataPackDetailSecOneModel = dataPackDetailSecOneModel;
    }

    public ValuePackSecTwoModel getValuePackSecTwoModel() {
        return dataPackSecTwoModel;
    }

    public void setValuePackSecTwoModel(ValuePackSecTwoModel dataPackSecTwoModel) {
        this.dataPackSecTwoModel = dataPackSecTwoModel;
    }

    public DataPackSecThreeModel getValuePackSecThreeModel() {
        return dataPackSecThreeModel;
    }

    public void setValuePackSecThreeModel(DataPackSecThreeModel dataPackSecThreeModel) {
        this.dataPackSecThreeModel = dataPackSecThreeModel;
    }

    @Override
    public String toString() {
        return "DataPackSectionModel{" +
                "dataPackDetailSecOneModel=" + dataPackDetailSecOneModel +
                ", dataPackSecTwoModel=" + dataPackSecTwoModel +
                ", dataPackSecThreeModel=" + dataPackSecThreeModel +
                '}';
    }
}
